App\Entity\Products:
    type: entity
    table: products
    id:
        id:
            type: bigint
            nullable: false
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY
    fields:
        name:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        articleid:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
            column: articleID
        price:
            type: float
            nullable: false
            precision: 10
            scale: 0
        width:
            type: float
            nullable: false
            precision: 10
            scale: 0
        height:
            type: float
            nullable: false
            precision: 10
            scale: 0
        description:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        createdAt:
            type: datetime
            nullable: true
            options:
                default: 'NULL'
            column: created_at
        updatedAt:
            type: datetime
            nullable: true
            options:
                default: 'NULL'
            column: updated_at
    lifecycleCallbacks: {  }
